To receive notifications about scheduled maintenance, please subscribe to the mailing-list gitlab-operations@sympa.ethz.ch. You can subscribe to the mailing-list at https://sympa.ethz.ch

Commit 8c227bc9 authored by Xuqian Yan's avatar Xuqian Yan
Browse files

Minor fixex

parent b7e51d54
......@@ -95,7 +95,7 @@ You could skip this section if you don't plan to run the whole Nexus-e platform
- Test whether a database connector is set up successfully. Write the following commands in Matlab (substitue `YOUR_USERNAME` and `YOUR_PASSWORD` with your credentials for the database). If the second command returns `1`, it means success.
```
conn = database("sys", YOUR_USERNAME, YOUR_PASSWORD, 'Vendor', 'MySQL', 'Server', "YOUR_HOST");
conn = database("sys", YOUR_USERNAME, YOUR_PASSWORD, 'Vendor', 'MySQL', 'Server', 'itet-psl-s02');
isopen(conn)
```
......@@ -131,6 +131,8 @@ You could skip this section if you don't plan to run the whole Nexus-e platform
- Find out your GAMS path. It varies largely depending on your PC's operating system and the version of GAMS. For example, GAMS 32 on Mac has the path: `/Library/Frameworks/GAMS.framework/Versions/32/Resources`.
- Similar to how you configured Gurobi for Matlab: Open Matlab; under the tab "Home", click **Set Path**; select **Add Folder...**; browse to the folder containing `gurobi_setup.m` (from the step above); click **Open**.
- A new entry of the selected path will appear on the right side of the **Set Path** window; click **Save**.
- Connect GAMS with Python
- Follow the instruction [here](https://github.com/NREL/gdx-pandas).
- **MySQL**
So far you should have already downloaded MySQL from the section [Connect with the input database](#connect-with-the-input-database). Here we edit the MySQL-related info in the `user_conf.m` file.
......@@ -286,7 +288,7 @@ But still, we need to explicitely load all the dependencies, including modules (
module load python/3.7.1
```
```eval_rst
|:warning:| Note: We used to load python/2.7.14. But we are now in the phase of transferring from python 2.x to python 3.x. Therefore, it is recommended to use python 3.x and identify potential issues for the transfer.
|:warning:| Note: We used to load python/2.7.14 and gurobi/8.1.1. But we are now in the phase of testing the newer versions of the software. Therefore, it is recommended to use python 3 and gurobi 9 to identify potential issues.
```
**Option 2**: Edit `.bash_profile` so that the modules are automatically loaded upon log in to Euler
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment